/* BOREXINO Reconstruction program
 * 
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: constants.cc,v 1.7 2004/06/01 11:21:55 ddangelo Exp $
 *
 * Implementation for constants.hh
 *
 */

#include "constants.hh"

const unsigned char  constants::trigger::crate_number = 0;

const unsigned short constants::laben::channels = 2240;
const unsigned char  constants::laben::ncrates = 14;

const unsigned char  constants::muon::tdc::max_boards = 2;
const unsigned char  constants::muon::tdc::chips_per_board = 4;
const unsigned char  constants::muon::tdc::channels_per_chip = 32;
const unsigned long  constants::muon::tdc::time_buffer = 1 << 13; 
const float          constants::muon::tdc::ns_per_clock = 1.0416;

const unsigned short constants::muon::channels = 256;
const unsigned short constants::muon::channel_offset = 3000;
const unsigned long  constants::muon::max_hits = 600;
/* exact value for QTC gain of 1 channel QTC 6 ch 1 (no PMT taken into account: assumed 1.6 pC/pe gain) */
const float          constants::muon::pe_per_clock = 0.07295;
const unsigned char  constants::muon::crate_number = 15;

const unsigned char  constants::fadc::crate_number = 16;

const unsigned short constants::precalibration_nevents = 1000;

/*
 * $Log: constants.cc,v $
 * Revision 1.7  2004/06/01 11:21:55  ddangelo
 * reorganized with nested classes
 *
 * Revision 1.6  2004/05/18 14:48:38  ddangelo
 * fixed muon tdc time buffer
 *
 * Revision 1.5  2004/05/18 14:21:59  razeto
 * Fixed a number
 *
 * Revision 1.4  2004/04/27 13:35:23  ddangelo
 * trigger and fadc sub-obj added. crate numbers added.
 *
 * Revision 1.3  2004/04/12 16:11:38  razeto
 * Added a laben constant
 *
 * Revision 1.2  2004/04/02 11:24:26  ddangelo
 * some constants added
 *
 * Revision 1.1  2004/04/01 10:50:33  ddangelo
 * added static class for wide spread constants.
 * muon raw event classes redisigned.
 *
 *
 */
