/* BOREXINO Reconstruction program
 * 
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: constants.hh,v 1.6 2004/06/01 11:35:12 ddangelo Exp $
 *
 * Container class for all program constants, 
 * to be implemented as public static const members for easy access.
 *
 */

#ifndef _CONSTANTS_HH
#define _CONSTANTS_HH

class constants {
  public:
    class trigger {
      public:
        static const unsigned char crate_number;
    };
    class laben {
      public:
        static const unsigned char ncrates;
        static const unsigned short channels;
    };
    class muon {
      public:
        class tdc {
          public:
            static const unsigned char max_boards;
            static const unsigned char chips_per_board;
            static const unsigned char channels_per_chip;
            static const unsigned long time_buffer;
            static const float ns_per_clock;
        };
        static const unsigned char crate_number;
        static const unsigned short channels;
        static const unsigned short channel_offset;
        static const unsigned long max_hits;
        static const float pe_per_clock; //tmp, to be removed
    };
    class fadc {
      public:
        static const unsigned char crate_number;
    };
    static const unsigned short precalibration_nevents;
    static int crate (int lg) { return (lg - 1) / 160 + 1; }
};


#endif
/*
 * $Log: constants.hh,v $
 * Revision 1.6  2004/06/01 11:35:12  ddangelo
 * debugging
 *
 * Revision 1.5  2004/06/01 11:21:55  ddangelo
 * reorganized with nested classes
 *
 * Revision 1.4  2004/04/27 13:35:23  ddangelo
 * trigger and fadc sub-obj added. crate numbers added.
 *
 * Revision 1.3  2004/04/12 16:11:38  razeto
 * Added a laben constant
 *
 * Revision 1.2  2004/04/02 11:24:26  ddangelo
 * some constants added
 *
 * Revision 1.1  2004/04/01 10:50:33  ddangelo
 * added static class for wide spread constants.
 *
 *
 */
