/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 * 	   Marco Pallavicini <pallas@ge.infn.it>
 *
 * $Id: bx_base_event.hh,v 1.6 2004/07/09 13:38:15 ddangelo Exp $
 *
 * This is the pure base class for the event hierarchy
 * 
 */
#ifndef _BX_BASE_EVENT_HH
#define _BX_BASE_EVENT_HH

#include <vector>

#include "bx_rec_general.hh"

class bx_base_event {
public:
  enum event_stage {
    raw = 0,
    decoded = 10,
    rough_clustered = 20,
    clustered = 25,
    split = 30,
    reconstructed = 40,
    max = 50 // to be pushed higher when needed
  };
  const bool check_stage (event_stage v) const { return stages[v]; }
   
  bx_base_event () { stages.insert(stages.end(), max+1, false); }
  virtual ~bx_base_event () {}
  
protected:
  std::vector<bool> stages;

};

#endif
/*
 * $Log: bx_base_event.hh,v $
 * Revision 1.6  2004/07/09 13:38:15  ddangelo
 * enum with event stages enlarged
 *
 * Revision 1.5  2004/05/25 16:37:05  ddangelo
 * added support for event stage flagging.
 * Inheritance from bx_base_event introduced
 *
 * Revision 1.4  2004/04/16 15:02:22  pallas
 * Start developing of root event structure
 * Not defined yet, but preprared infrastructure
 *
 * Revision 1.3  2004/03/20 14:13:11  razeto
 * Added main ifndef directive
 *
 * Revision 1.2  2004/03/20 12:27:18  razeto
 * Added bx_rec_general.hh include, fixed some tabs and removed a * line from logs
 *
 * Revision 1.1.1.1  2004/03/19 18:23:49  razeto
 * Imported sources
 *
 */
