/* BOREXINO Reconstruction program
 *
 * Author: Sergey Sukhotin <sukhotin@cdf.in2p3.fr>
 *
 * $Id: fadc_calc.hh,v 1.4 2004/08/30 10:57:34 sukhotin Exp $
 *
 * A class to calculate: 
 *     a peak position;
 *     an amplitude;
 *     a charge
 *of the input vector "v"
 * 
 */

#ifndef _FADC_CALC_HH
#define _FADC_CALC_HH

//#include "bx_fadc_event.hh"
#include <vector>

class fadc_calc {
  public:
    fadc_calc (std::vector<float> v);
    float get_peak   () const { return f4_peak;   }
    float get_ampl   () const { return f4_ampl;   }
    float get_charge () const { return f4_charge; }

  private:
    float f4_peak;
    float f4_ampl;
    float f4_charge;

    static const unsigned int delta;
};

#endif

/* 
 * $Log: fadc_calc.hh,v $
 * Revision 1.4  2004/08/30 10:57:34  sukhotin
 * std:: prefix.is added. Sorry...
 *
 * Revision 1.3  2004/08/26 15:03:19  sukhotin
 * Cocmetics again ...  Sorry.
 *
 * Revision 1.2  2004/08/26 14:53:34  sukhotin
 * Cosmetics - to avoid warnings from compiler.
 *
 * Revision 1.1  2004/08/26 14:28:07  sukhotin
 * This is an additional class.
 * It computes a peak, amplitude and a charge of the input vector.
 * It's called by bx_fadc_decoder module and also by fadc_sum.cc
 *
 *
 */
