/* BOREXINO Reconstruction program
 *
 * Author: Sergey Sukhotin <sukhotin@cdf.in2p3.fr>
 *
 * $Id: fadc_channel.hh,v 1.3 2004/08/26 14:21:53 sukhotin Exp $
 *
 * A class to decode FADC channel.
 * It's called by bx_fadc_decoder. 
 */

#ifndef _FADC_CHANNEL_HH
#define _FADC_CHANNEL_HH

#include "bx_fadc_event.hh"
#include <vector>

class fadc_channel {
  public:    
    fadc_channel (const bx_fadc_raw_channel& channel, unsigned int first, unsigned int last);
    float get_peak   () const { return f4_peak;   }
    float get_ampl   () const { return f4_ampl;   }
    float get_charge () const { return f4_charge; }
    float get_sample (int i) const { return v[i]; }

  private:
    float f4_peak;
    float f4_ampl;
    float f4_charge;
    std::vector<float> v;

    static const int   pedestal_zone;
    static const float average;
};

#endif
/*
 * $Log: fadc_channel.hh,v $
 * Revision 1.3  2004/08/26 14:21:53  sukhotin
 * static const float tau is removed. It's no more needed here.
 *
 * Revision 1.2  2004/07/13 16:06:37  sukhotin
 * The code indentation is improved. Some more comments are added.
 * function.h is changed for functional
 *
 */
