/* BOREXINO Reconstruction program
 *
 * Author: Sergey Sukhotin <sukhotin@cdf.in2p3.fr>
 *
 * $Id: fadc_trigger_time.hh,v 1.2 2004/07/13 13:43:22 sukhotin Exp $
 *
 * A class to decode the FADC window_0 (trigger ramp)
 * float f4_ramp - is a time (always negative) of the
 *                 beginning of the trigger pulse, or
 *		   it's a resulting time of the event
 *
 */
 
#ifndef _FADC_TRIGGER_TIME_HH
#define _FADC_TRIGGER_TIME_HH

#include "bx_fadc_event.hh"

class fadc_trigger_time {
  public:
    fadc_trigger_time (const bx_fadc_raw_window& win);
    float get_ramp_time () const { return f4_ramp; }  
  private:
    float f4_ramp;

    static const int   pedestal_zone;
    static const float average;
    static const float level1;    
    static const float level2;     
};

#endif
/*
 * $Log: fadc_trigger_time.hh,v $
 * Revision 1.2  2004/07/13 13:43:22  sukhotin
 * Some comments are added.
 *
 */
