/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_options.hh,v 1.7 2004/07/22 10:13:01 razeto Exp $
 *
 * Options interface: bx_options::initialize_echidna is the first line of
 * code that should be called in echidna, since initializes the parameter
 * broker (aka parameter and configuration management), the messenger (log
 * file and print level) and the module factory.
 * 
 *
 */
#ifndef _BX_OPTIONS_H
#define _BX_OPTIONS_H

#include "bx_rec_general.hh"

#include <string>
#include <vector>

class bx_options {
  public:
    static bx_options* get ();
    void initialize_echidna (int argc, char * const argv[]);

    long int get_max_events () { return i4_max_events; }
  private:
    bx_options ();
    static bx_options *me;

    long int i4_max_events;
};
 
#endif
/*
 * $Log: bx_options.hh,v $
 * Revision 1.7  2004/07/22 10:13:01  razeto
 * Jumbo patch for the configuration manager applied, read the documentation for usage
 *
 * Revision 1.6  2004/06/10 12:40:01  razeto
 * Removed an unuseful include
 *
 * Revision 1.5  2004/05/26 08:27:15  razeto
 * Added max number of events (negative = unlimited)
 *
 * Revision 1.4  2004/04/06 12:39:28  razeto
 * Added logfile handling
 *
 * Revision 1.3  2004/04/05 13:12:27  razeto
 * Updated a comment, changed the behaviour if no user option file is present
 *
 * Revision 1.2  2004/03/29 13:17:30  razeto
 * Updated bx_options to the vdt usage
 *
 * Revision 1.1  2004/03/26 16:36:11  razeto
 * Introduced bx_options; a lot of code modified to read options and parameters.
 * Bx_event_reader interface changed: now there is a standard constructor and
 * the file opening is done at begin using the parameters for the file name.
 *
 * 
 */
