/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: db_acl.cc,v 1.3 2004/08/14 21:18:43 razeto Exp $
 *
 * The database table acl implementation.
 *
 */
#include "db_acl.hh"
#include "bx_dbi.hh"
#include "bx_named.hh"

bool db_acl::check_acl (const std::string& method, const bx_named* obj) {
  if (acl.check (method)) {
    const bx_named_name_list& list = acl[method];
    if (std::find (list.begin (), list.end (), obj->get_name ()) != list.end ()) 
      return true;
  }
  bx_dbi::get ()->get_message (bx_message::error) << "bx_table: acl failed for bx_named " << obj->get_name () << " with " << method << dispatch;
  return false;
}
/*  
 *  $Log: db_acl.cc,v $
 *  Revision 1.3  2004/08/14 21:18:43  razeto
 *  Upgraded to use bx_named instead of only modules
 *
 *  Revision 1.2  2004/05/31 11:35:30  razeto
 *  Removed a dependancy
 *
 *  Revision 1.1  2004/04/26 13:48:29  razeto
 *  Added db_acl to check set calls for calling module to have the right privileges.
 *  Fixed the names of set/get methods.
 *  Modifications decided at the software Paris meeting.
 *
 */
