/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: db_acl.hh,v 1.3 2004/08/14 21:18:43 razeto Exp $
 *
 * The database table acls.
 *
 */
#ifndef _BD_TABLE_H
#define _BD_TABLE_H
#include "bx_rec_general.hh"
#include "cmap.hh"
#include "messenger.hh"

#include <vector>
#include <string>
#include <algorithm>

class bx_named;
class db_acl {
  protected:
    db_acl () {}
    void set_acl (const std::string& method, const std::string& bx_named_name) { acl[method].push_back(bx_named_name); }
    bool check_acl (const std::string& method, const bx_named* module);
  private:
    typedef std::vector<std::string> bx_named_name_list;
    std::cmap<std::string, bx_named_name_list> acl;
};
#endif
/*  
 *  $Log: db_acl.hh,v $
 *  Revision 1.3  2004/08/14 21:18:43  razeto
 *  Upgraded to use bx_named instead of only modules
 *
 *  Revision 1.2  2004/05/31 11:35:30  razeto
 *  Removed a dependancy
 *
 *  Revision 1.1  2004/04/26 13:48:29  razeto
 *  Added db_acl to check set calls for calling module to have the right privileges.
 *  Fixed the names of set/get methods.
 *  Modifications decided at the software Paris meeting.
 *
 */
