/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: db_channel.cc,v 1.3 2004/06/01 11:51:48 razeto Exp $
 *
 * The database interface for channel informations. READONLY
 *
 */
#include "db_channel.hh"

db_channel::db_channel (int lg, const db_profile& profile): i4_lg(lg) {
  channel_description = profile.logical_channel_description (lg);
  if (is_ordinary ()) {
    b_pmt_has_cone = profile.pmt_has_cone (lg);
    i4_pmt_hole_id = profile.pmt_hole_id (lg);
    f_x = profile.get_pmt_coordinates (lg).x;
    f_y = profile.get_pmt_coordinates (lg).y;
    f_z = profile.get_pmt_coordinates (lg).z;
 //   i4_pmt_fadc_channel = profile.pmt_fadc_channel (lg);
  }
}



/*  
 *  $Log: db_channel.cc,v $
 *  Revision 1.3  2004/06/01 11:51:48  razeto
 *  Temporary removed a FADC copy since FADC data are not read in db_profile
 *
 *  Revision 1.2  2004/05/19 11:06:27  razeto
 *  Updated to a working version of db_channel
 *
 *  Revision 1.1  2004/05/19 10:25:50  razeto
 *  Added db_channel as discussed at last cycle meeting
 *
 */
