/* BOREXINO Reconstruction program
 *
 * Author: Sergey Sukhotin <sukhotin@cdf.in2p3.fr>
 * 
 * $Id: bx_fadc_decoder.hh,v 1.3 2004/08/26 14:31:34 sukhotin Exp $
 *
 * Decoder for the FADC raw event
 *
 */
 
#ifndef _BX_FADC_DECODER_HH
#define _BX_FADC_DECODER_HH

#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"

#include "TROOT.h"
#include "TH1F.h"
//#include "TH2F.h"

class bx_fadc_decoder: public bx_base_module {
  public:
    bx_fadc_decoder ();
    virtual ~bx_fadc_decoder () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    TH1F *hnwin, *hwflag, *hwlength, *hramp;
    TH1F *hwamp[102], *hwcharge[102], *hwpeak[102];
    TH1F *hsamp, *hspeak, *hscharge, *hsshape;
    char  hname[20], title[80];
};

#endif
/*
 * $Log: bx_fadc_decoder.hh,v $
 * Revision 1.3  2004/08/26 14:31:34  sukhotin
 * Some histogramms are declared.
 *
 * Revision 1.2  2004/07/13 16:18:28  sukhotin
 * The code indentation is improved. Some more comments are added.
 * function.h is changed for functional
 *
 */
