/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_laben_allign_crates.hh,v 1.1 2004/08/10 11:14:03 razeto Exp $
 *
 * Get the time allignement for crates
 *
 */
#ifndef _BX_LABEN_ALLIGN_CRATES_H
#define _BX_LABEN_ALLIGN_CRATES_H

#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"
#include "constants.hh"

class bx_laben_allign_crates: public bx_base_module {
  public:
    bx_laben_allign_crates ();
    virtual ~bx_laben_allign_crates () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    double *p_crate_time_sums;
    long i4_event_count;
};

#endif
/*
 * $Log: bx_laben_allign_crates.hh,v $
 * Revision 1.1  2004/08/10 11:14:03  razeto
 * Added a module for calculating the time differences from crate to crate
 *
 */
