/* BOREXINO Reconstruction program
 *
 * Author: Daniela Manuzio <dmanuzio@ge.infn.it>
 *
 * $Id: bx_laben_findcluster_time.hh,v 1.1 2004/07/09 13:59:08 dmanuzio Exp $
 *
 * Definition of bx_laben_findcluster_time
 * Module that computes the best start and end time of a cluster
 * Input: the list of bx_cluster objects
 * Output: update the bx_cluster objects variables
 * 
*/

#ifndef _BX_LABEN_FINDCLUSTER_TIME_HH
#define _BX_LABEN_FINDCLUSTER_TIME_HH
#include "bx_rec_general.hh"
#include "bx_base_module.hh"

#ifdef ENABLE_TEST_ROOT_OUTPUT
#include "TROOT.h"
#include "TH2F.h"
#include "TH1F.h"
#endif

class bx_reco_event;

class bx_laben_findcluster_time : public bx_base_module {
  public:
    bx_laben_findcluster_time ();
    virtual ~bx_laben_findcluster_time () {}
      
    // Operations for the framework 
    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();

  private:
#ifdef ENABLE_TEST_ROOT_OUTPUT
    TH2F *clusters_raw_times;
    TH2F *clusters_mean_times;
    TH2F *clusters_times;
    TH2F *clusters_hits;
    TH2F *clusters_npe;
    TH2F *clusters_pmts;
    TH1F* clusters_number;
    TH2F* histo_raw;
    TH2F* histo_cluster;
    int* fired_channel;
#endif    

};

#endif
/*
 * $Log: bx_laben_findcluster_time.hh,v $
 * Revision 1.1  2004/07/09 13:59:08  dmanuzio
 * Added 2 modules for Laben clustering
 *
 *
 */
