/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_check_tdc.hh,v 1.3 2004/08/10 11:12:42 razeto Exp $
 *
 * Precalib for laben TDC (4st cycle): check the time allignement
 *
 */
#ifndef _BX_PRECALIB_LABEN_CHECK_TDC_H
#define _BX_PRECALIB_LABEN_CHECK_TDC_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"
#include "cmap.hh"

#ifdef ENABLE_TEST_ROOT_OUTPUT
#include "TROOT.h"
#include "TH2F.h"
#endif


class bx_precalib_laben_check_tdc: public bx_base_module {
  public:
    bx_precalib_laben_check_tdc ();
    virtual ~bx_precalib_laben_check_tdc () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int i_ref_channel;
#ifdef ENABLE_TEST_ROOT_OUTPUT
    TH2F *time_channel_distribution;
    TH2F *error_channel_distribution;
    TH2F *time_bits;
#endif
	
};

#endif
/*
 * $Log: bx_precalib_laben_check_tdc.hh,v $
 * Revision 1.3  2004/08/10 11:12:42  razeto
 * Added a parameter
 *
 * Revision 1.2  2004/05/21 08:39:13  razeto
 * Updated to use bx_root_barn
 *
 * Revision 1.1  2004/05/18 15:01:54  razeto
 * A lot of development done
 *
 */
