/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_d80.hh,v 1.3 2004/05/21 08:39:13 razeto Exp $
 *
 * Precalib for laben phases (3st cycle): calcolate d80
 *
 */
#ifndef _BX_PRECALIB_LABEN_D80_H
#define _BX_PRECALIB_LABEN_D80_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"


#ifdef ENABLE_TEST_ROOT_OUTPUT
#include "TROOT.h"
#include "TH1F.h"
#include "TH2F.h"
#endif


class bx_precalib_laben_d80: public bx_base_module {
  public:
    bx_precalib_laben_d80 ();
    virtual ~bx_precalib_laben_d80 () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int **d80_delay_map;
    float f_d80_low_limit;
    float f_d80_high_limit;
#ifdef ENABLE_TEST_ROOT_OUTPUT
    TH1F *d80;
    TH2F *d80_channel_distrubution;
#endif
};

#endif
/*
 * $Log: bx_precalib_laben_d80.hh,v $
 * Revision 1.3  2004/05/21 08:39:13  razeto
 * Updated to use bx_root_barn
 *
 * Revision 1.2  2004/05/18 15:01:54  razeto
 * A lot of development done
 *
 * Revision 1.1  2004/04/26 13:50:51  razeto
 * Added
 *
 */
