/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_gray.hh,v 1.3 2004/05/21 08:39:13 razeto Exp $
 *
 * Precalib for laben gray counter (1st cycle): allign gray counter shift 
 *
 */
#ifndef _BX_PRECALIB_LABEN_GRAY_H
#define _BX_PRECALIB_LABEN_GRAY_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"
#include "cmap.hh"

#ifdef ENABLE_TEST_ROOT_OUTPUT
#include "TROOT.h"
#include "TH2F.h"
#include "TH1D.h"
#endif


class bx_precalib_laben_gray: public bx_base_module {
  public:
    bx_precalib_laben_gray ();
    virtual ~bx_precalib_laben_gray () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int *gray_map;
    int ***gray_shift_map;
    int i_channel_skip;
    int i_histo_lenght;
    float f_mean_bound;
    float f_rms_bound;

    bool m_check_bound (int **v, float& mean, float& rms);

#ifdef ENABLE_TEST_ROOT_OUTPUT
    TH2F *gray_diffs_global, *gray_diffs_reference;
    TH1S *gray_shifts;
#endif
	
};

#endif
/*
 * $Log: bx_precalib_laben_gray.hh,v $
 * Revision 1.3  2004/05/21 08:39:13  razeto
 * Updated to use bx_root_barn
 *
 * Revision 1.2  2004/05/18 15:01:54  razeto
 * A lot of development done
 *
 * Revision 1.1  2004/04/12 15:59:49  razeto
 * Added a firsto core of laben precalibration
 *
 */
