/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 *
 * $Id: bx_precalib_laben_phases.hh,v 1.3 2004/05/21 08:39:13 razeto Exp $
 *
 * Precalib for laben phases (2nd cycle)
 * 
 */
#ifndef _BX_PRECALIB_LABEN_PHASES_H
#define _BX_PRECALIB_LABEN_PHASES_H
#include "bx_base_module.hh"
#include "bx_reco_event.hh"
#include "bx_rec_general.hh"

#ifdef ENABLE_TEST_ROOT_OUTPUT
#include "TROOT.h"
#include "TH1S.h"
#include "TH2S.h"
#endif


class bx_precalib_laben_phases: public bx_base_module {
  public:
    bx_precalib_laben_phases ();
    virtual ~bx_precalib_laben_phases () {}

    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();
  private:
    int *right_phase_v;
    int *inverse_phase_v;
    int *error_phase_v;
#ifdef ENABLE_TEST_ROOT_OUTPUT
    TH1S *phase_map;
    TH2S *phase_channel_distribution;
#endif
};

#endif
/*
 * $Log: bx_precalib_laben_phases.hh,v $
 * Revision 1.3  2004/05/21 08:39:13  razeto
 * Updated to use bx_root_barn
 *
 * Revision 1.2  2004/05/18 15:01:54  razeto
 * A lot of development done
 *
 * Revision 1.1  2004/04/12 15:59:49  razeto
 * Added a firsto core of laben precalibration
 *
 */
