/* BOREXINO Reconstruction program
 *
 * Author: Alessandro Razeto <Alessandro.Razeto@ge.infn.it>
 * 	   Marco Pallavicini <pallas@ge.infn.it>
 *
 * $Id: bx_test_module.cc,v 1.8 2004/04/06 12:42:17 razeto Exp $
 *
 * Implementation of bx_test_module
 *
 */
#include "bx_test_module.hh"
#include <iostream>

// ctor
bx_test_module::bx_test_module (): bx_base_module("bx_test_module", bx_base_module::main_loop) {
  i4_times = 0;
}

// module interface
void bx_test_module::begin () {
  get_message (bx_message::debug) << "test begin" << dispatch;
}

bx_reco_event* bx_test_module::doit (bx_reco_event *ev) {
  if ( (i4_times++ % 100) == 0)
    if (i4_times!=1) 
      get_message (bx_message::debug) << "test doit called " << i4_times-1 << " times" << dispatch;
  return 0;
}

void bx_test_module::end () {
  get_message (bx_message::debug) << "test end" << dispatch;
}


/*
 * $Log: bx_test_module.cc,v $
 * Revision 1.8  2004/04/06 12:42:17  razeto
 * Added module role to base_module, and the code to handle everywhere. Some other minor fixes
 *
 * Revision 1.7  2004/04/03 09:20:35  razeto
 * Added messenger
 *
 * Revision 1.6  2004/04/02 13:40:01  razeto
 * Added messenger
 *
 * Revision 1.5  2004/03/21 18:55:05  razeto
 * Some cosmetic changes
 *
 * Revision 1.4  2004/03/20 19:10:03  pallas
 * Debugging
 *
 * Revision 1.3  2004/03/20 19:05:17  pallas
 * Debugging
 *
 * Revision 1.2  2004/03/20 18:56:46  pallas
 * Change counter
 *
 * Revision 1.1  2004/03/20 17:39:45  pallas
 * First release
 *
 * Revision 1.1  2004/03/20 14:16:47  razeto
 * Added sources
 *
 */
