/* BOREXINO Reconstruction program
 *
 * Author: Marco Pallavicini <pallas@ge.infn.it>
 *
 * $Id: bx_trigger_decoder.hh,v 1.2 2004/05/20 12:22:34 ddangelo Exp $
 *
 * Modules for decoding of trigger infos
 * 
*/

#ifndef _BX_TRIGGER_DECODER_HH
#define _BX_TRIGGER_DECODER_HH

#include "bx_rec_general.hh"
#include "bx_base_module.hh"

class bx_reco_event;
class bx_trigger_event;
class bx_trigger_decoded_event;

class bx_trigger_decoder : public bx_base_module {
  public:
    bx_trigger_decoder ();
    virtual ~bx_trigger_decoder () {}
      
    // Operations for the framework 
    virtual void begin ();
    virtual bx_reco_event* doit (bx_reco_event *ev);
    virtual void end ();

  private:

    void m_decode_trgtype(const bx_trigger_event&, bx_trigger_decoded_event&);
    // decode GPS clock infos
    void gpsclock_decode(unsigned long, unsigned long, unsigned long, 
	                 int&, int&, int&, int&, int&, int&, int&, int&, 
			 unsigned long&, unsigned long&);
};

#endif
/*
 * $Log: bx_trigger_decoder.hh,v $
 * Revision 1.2  2004/05/20 12:22:34  ddangelo
 * added a method to decode trgtype.
 * Fixed include problem.
 * commit with delegation from module coordinator
 *
 * Revision 1.1  2004/04/27 10:02:48  ddangelo
 * module bx_trigger_decode_module deleted and re-added as bx_trigger_decoder
 *
 *
 */
