/* BOREXINO Reconstruction program
 * 
 * Author: Davide D'Angelo <davide.dangelo@lngs.infn.it>
 *
 * $Id: BxEventLinkDef.hh,v 1.6 2004/07/25 16:29:31 ddangelo Exp $
 *
 * CINT LinkDef for event 
 *
 */

#ifndef _BXEVENTLINKDEF_HH
#define _BXEVENTLINKDEF_HH

#ifdef __CINT__

#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ class BxEvent;
#pragma link C++ class BxTrigger;
#pragma link C++ class BxLabenRawHit;
#pragma link C++ class BxLabenDecodedHit;
#pragma link C++ class BxLabenClusteredHit;
#pragma link C++ class BxLabenCluster;
#pragma link C++ class BxLaben;
#pragma link C++ class BxMuonRawHit;
#pragma link C++ class BxMuonDecodedHit;
#pragma link C++ class BxMuon;
#pragma link C++ class BxFadc;
#pragma link C++ class BxGlobal;
#pragma link C++ class BxGlobalSplitFragment;
#pragma link C++ class BxGlobalSplitHit;
#pragma link C++ class BxGlobalRecFragment;
#pragma link C++ class BxGlobalRecHit;
#pragma link C++ class BxMcTruth;
#pragma link C++ class BxMcTruthFrame;
#pragma link C++ class BxMcTruthHit;

#endif
#endif
/*
 * $Log: BxEventLinkDef.hh,v $
 * Revision 1.6  2004/07/25 16:29:31  ddangelo
 * some development, not much active at the moment
 *
 * Revision 1.5  2004/07/13 14:50:48  ddangelo
 * added BxClusteredHit. Currently used due to the TClonesArray problem.
 *
 * Revision 1.4  2004/07/13 13:37:10  ddangelo
 * added McTruth and McTruthFrame to root event.
 * McTruthHit commented out for the moment, due to ROOT problems.
 * To be debugged.
 *
 * Revision 1.3  2004/07/07 15:45:26  ddangelo
 * added BxLabenCluster.
 * Some minor debugging.
 *
 * Revision 1.2  2004/06/07 17:14:03  ddangelo
 * conditional compile macros introduced.
 * Laben raw and decoded hit introduced.
 * Muon raw and decoded hit implemented with 2 different classes.
 *
 * Revision 1.1  2004/05/30 11:54:48  ddangelo
 * A first working version of root file classes.
 * Not many physical variables yet;
 * Global Event still commented.
 * names match ROOT standards not echidna ones.
 * Makefile updated (file names).
 *
 *
 */
